package AST;

public class ASTAssignExpression extends ASTExpression {
	/* variable that gets assigned */
	private ASTSymbol variable;
	private ASTExpression expression;
	
	public ASTAssignExpression(ASTSymbol variable, ASTExpression expression) {
		this.variable = variable;
		this.expression = expression;
	}
	
	public void accept(ASTVisitor visitor) {
		visitor.visitAssignExpression(this);
	}
	
	public ASTSymbol getVariable() {
		return variable;
	}
	
	public ASTExpression getExpression() {
		return expression;
	}
	
	@Override
	public String toString() {
		return getVariable() + " = " + getExpression();
	}
}
