package AST;


public class ASTIfStatement extends ASTStatement implements ASTNode {

	private final ASTExpression condition;
	private final ASTStatement ifClause;
	private final ASTStatement elseClause;
	
	public ASTIfStatement(ASTExpression condition, ASTStatement ifClause, ASTStatement elseClause) {
		this.condition = condition;
		this.ifClause = ifClause;
		this.elseClause = elseClause;
	}
	
	public final ASTExpression getCondition() {
		return condition;
	}

	public final ASTStatement getIfClause() {
		return ifClause;
	}

	public final ASTStatement getElseClause() {
		return elseClause;
	}

	public void accept(ASTVisitor visitor) {
		visitor.visitIfStatement(this);
	}
	
	@Override
	public String toString() {
		//return "if (" + condition + ") then " + ifClause + " else " + elseClause;
		return "if (" + condition + ")";
	}

}
