package CFG;
import java.util.Collection;

/**
 * Abstract interface for a control flow graph
 */
public interface CFG<NodeType> {
	/** return start node */
	NodeType getStart();
	/** return end node */
	NodeType getEnd();
	/** return predecessors of a node */
	Collection<NodeType> getPreds(NodeType node);
	/** return successors of a node */
	Collection<NodeType> getSuccs(NodeType node);
}
