package CFG;

import java.util.Collection;

/**
 * Construct a reverse CFG view from a given CFG
 */
public class ReverseCFG<NodeType> implements CFG<NodeType> {
	private CFG<NodeType> cfg;
	
	public ReverseCFG(CFG<NodeType> cfg) {
		this.cfg = cfg;
	}

	public NodeType getStart() {
		return cfg.getEnd();
	}
	public NodeType getEnd() {
		return cfg.getStart();
	}

	public Collection<NodeType> getPreds(NodeType node) {
		return cfg.getSuccs(node);
	}
	public Collection<NodeType> getSuccs(NodeType node) {
		return cfg.getPreds(node);
	}
}
